"use strict";
const common_vendor = require("../../common/vendor.js");
const common_config = require("../../common/config.js");
const util_request_requestInterceptors = require("./requestInterceptors.js");
const util_request_responseInterceptors = require("./responseInterceptors.js");
const Request = () => {
  common_vendor.index.$uv.http.setConfig((defaultConfig) => {
    defaultConfig.baseURL = common_config.config.baseUrl;
    return defaultConfig;
  });
  util_request_requestInterceptors.requestInterceptors();
  util_request_responseInterceptors.responseInterceptors();
};
exports.Request = Request;
